---
title: "Bulk updates product suppliers for a specific product"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-products-id-suppliers"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Bulk updates product suppliers for a specific product

`PUT` `/products/{id}/suppliers`

Operation ID: `put-products-id-suppliers`

Sample request: PUT /products/123/suppliers [ { "supplier_code": "00", "supplier_buy_ex": 1.1, "supplier_sku2": "SupplierSKU2", "lead_time": 4, "is_default": true, "notes": "This is a Note." } ]

## Path parameters

- `id` (integer, int32, required) - Product ID

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Product suppliers updated successfully
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Product not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /products/{id}/suppliers:
    put:
      tags:
        - products
      summary: Bulk updates product suppliers for a specific product
      description: "Sample request:\r

        \            \r

        \    PUT /products/123/suppliers\r

        \    [\r

        \      {\r

        \        \"supplier_code\": \"00\",\r

        \        \"supplier_buy_ex\": 1.1,\r

        \        \"supplier_sku2\": \"SupplierSKU2\",\r

        \        \"lead_time\": 4,\r

        \        \"is_default\": true,\r

        \        \"notes\": \"This is a Note.\"\r

        \      }\r

        \    ]"
      operationId: put-products-id-suppliers
      parameters:
        - name: id
          in: path
          description: Product ID
          required: true
          schema:
            type: integer
            description: Product ID
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: List of product suppliers to update
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Product suppliers updated successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/ProductSupplier"
              example:
                - product_id: 0
                  supplier_code: string
                  supplier_name: string
                  supplier_status: true
                  supplier_buy_ex: 0
                  supplier_sku2: string
                  lead_time: 0
                  is_default: true
                  notes: string
                  is_deleted: true
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Product not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ProductSupplier:
      title: ""
      type: object
      properties:
        product_id:
          type: integer
          description: Product ID
          format: int32
        supplier_code:
          type: string
          description: Supplier Code
          nullable: true
        supplier_name:
          type: string
          description: Supplier Name
          nullable: true
        supplier_status:
          type: boolean
          description: Supplier Status (true - Enabled, false - Disabled)
        supplier_buy_ex:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2
          nullable: true
        lead_time:
          type: integer
          description: Lead Time in days
          format: int32
          nullable: true
        is_default:
          type: boolean
          description: Indicates if the product supplier is a default supplier
          nullable: true
        notes:
          type: string
          description: Notes
          nullable: true
        is_deleted:
          type: boolean
          description: Indicates if the product supplier is soft deleted
          nullable: true
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
